Subject: Re: cygrunsrv and apache - success
From: Jonathan Albrecht <[email-masked]>
To: [email-masked]
Date: Thu, 16 Jan 2003 10:30:33 -0500

Thanks for the tip. That fixed it for me. For posterity, here is 
everything that I did:

1. Create a new local user named apache. I put it in the Users group. 
Add it to /etc/passwd using a command like:

 > mkpasswd -l | grep apache >>/etc/passwd

The apache user was assigened to the existing None group so I left it 
like that.

2. Modify /etc/apache/httpd.conf to set:
User apache
Group None

3. Run:
 > chown SYSTEM:SYSTEM /var/log/apache/*
 > chown SYSTEM:SYSTEM /var/log/apache.log

Check that /var/log/apache/ and /var/run are writable by SYSTEM.

4. Run:
 > cygrunsrv -I apache -d "Cygwin apache" -p /usr/sbin/httpd -a '-k' -e 
"CYGWIN=ntsec nosmbntsec binmode tty"
 > cygrunsrv -S apache

No errors were reported.

5. Check the Control Panel\Administrative Tools\Services app (I'm on 
Win2k) to see if Cygwin apache is running.

6. Check if

 > net stop apache
 > net start apache

work.

7. Point your browser at your machine and see if you get the Apache 
default page.

Well that's all I remember doing anyway. Let me know if I'm missing 
anything.

So far it looks like everything is working. Thanks everyone for your help.

Jon

Stipe Tolj wrote:
> Jonathan Albrecht schrieb:
> 
>>I've been trying to run apache as a service using cygrunsrv. I haven't
>>changed the httpd.conf and running /usr/sbin/httpd from the command line
>>works fine. Here is what I have done:
>>
>> > cygrunsrv -I apache -d "Cygwin apache" -p /usr/sbin/httpd -a -k -e
>>"CYGWIN=ntsec nosmbntsec binmode tty"
>>
>>          > cygrunsrv -S apache
>>
>>cygrunsrv: Error starting a service: QueryServiceStatus:  Win32 error 1062:
>>The service has not been started.
>>
>>I've tried variations on the spaces and quotes in the command line but
>>nothing has worked. Any ideas?
> 
> 
> check file permissions. 
> 
> cygrunsrv will start the httpd processes as SYSTEM, hence all logging
> directory have to have write permissions for that user or group.
> 
> Stipe
> 
> [email-masked]
> -------------------------------------------------------------------
> Wapme Systems AG
> 
> Vogelsanger Weg 80
> 40470 Düsseldorf
> 
> Tel: +49-211-74845-0
> Fax: +49-211-74845-299
> 
> E-Mail: [email-masked]
> Internet: http://www.wapme-systems.de
> -------------------------------------------------------------------
> wapme.net - wherever you are
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/